﻿@model eCommerce.UI.ViewModels.Shop.ShopViewModel
@using eCommerce.Services.Utils

<aside class="shop-filter js-filter">

    <span class="shop-filter__close js-popup-filter-close">&times;</span>

    <div class="filter__section filter__section--hideable">
        <span class="filter__name">Categorías <i class="icon icon-plus icon--clickable icon--toggle js-toggle-section" aria-hidden="true"></i></span>

        <ul class="filter__list filter__list--vertical js-filters">
            @{
                var parentCategories = Model.categoryList.Where(x => !x.ParentCategoryId.HasValue);
                var childCategories = Model.categoryList.Where(x => x.ParentCategoryId.HasValue);
            }

            @foreach (var category in parentCategories)
            {
                var hasChild = childCategories.Any(x => x.ParentCategoryId == category.CategoryId);
                <li class="@(hasChild ? "filter__has-sublist" : string.Empty)">
                    <a href="/shop/@category.SeoUrl" class="filter__list-item" data-seo="@category.SeoUrl">@category.Name</a>
                    @if (hasChild)
                    {
                        var subCategories = childCategories.Where(x => x.ParentCategoryId == category.CategoryId);
                        var isCategoryOpened = Model.Category != null && (category.CategoryId == Model.Category.CategoryId || (Model.Category.ParentCategoryId.HasValue && Model.Category.ParentCategoryId.Value == category.CategoryId));

                        <input type="checkbox" id="c_@category.CategoryId" class="filter__list-subitem-check" @(isCategoryOpened ? "checked" : string.Empty) />

                        <label for="c_@category.CategoryId" class="filter__sublist-toggle">
                            <span class="icon icon-plus icon--clickable"></span>
                        </label>

                        <ul class="filter__sublist">
                            @foreach (var subCategory in subCategories)
                            {
                                <li>
                                    <a href="/shop/@subCategory.SeoUrl" class="filter__list-item" data-seo="@subCategory.SeoUrl">@subCategory.Name</a>
                                </li>
                            }
                        </ul>
                    }
                </li>
            }
        </ul>
    </div>


    @*<div class="filter__section filter__section--hideable filter__section--fill">
        <span class="filter__name">Talle <i class="icon icon-plus icon--clickable icon--toggle js-toggle-section" aria-hidden="true"></i></span>

        <ul class="filter__list js-filters">
            @foreach (var size in Model.sizeList)
            {
                <li>
                    <div class="filter__list-item filter__list-item--size js-filter-size" data-size="@size.SizeId">@size.Description</div>
                </li>
            }
        </ul>
    </div>*@

    <div class="filter__section filter__section--hideable filter__section--fill">
        <span class="filter__name">Color <i class="icon icon-plus icon--clickable icon--toggle js-toggle-section" aria-hidden="true"></i></span>

        <ul class="filter__list js-filters">
            @foreach (var color in Model.colorList)
            {
                <li>
                    <div class="filter__list-item">
                        <span class="filter__ball js-filter-color" data-color="@color.ColorId" style="background-image:url(@Utility.ImgUrl/Colors/@color.ColorId/@color.ColorThumb); @(color.Description=="Blanco" ? "border:1px solid #000;" : string.Empty)"></span>
                    </div>
                </li>
            }

        </ul>
    </div>

    @*<div class="filter__section filter__section--hideable filter__section--fill">
        <span class="filter__name">Ordenar <i class="icon icon-plus icon--clickable icon--toggle js-toggle-section" aria-hidden="true"></i></span>

        <ul class="filter__list filter__list--full js-filters">
            <li>
                <div class="filter__list-item filter__list-item--bordered">
                    <div class="custom-checkbox">
                        <input type="radio" id="order_0" name="OrderBy" value="0" class="js-filter-sort" />
                        
                        <label class="custom-checkbox__item" for="order_0"><span class="custom-checkbox__selector"></span> Default</label>
                    </div>
                </div>
                <div class="filter__list-item filter__list-item--bordered">
                    <div class="custom-checkbox">
                        <input type="radio" id="order_1" name="OrderBy" value="1" class="js-filter-sort" />
                        <label class="custom-checkbox__item" for="order_1"><span class="custom-checkbox__selector"></span> Precio más bajo</label>
                    </div>
                </div>
                <div class="filter__list-item filter__list-item--bordered">
                    <div class="custom-checkbox">
                        <input type="radio" id="order_2" name="OrderBy" value="2" class="js-filter-sort" />
                        <label class="custom-checkbox__item" for="order_2"><span class="custom-checkbox__selector"></span> Precio más alto</label>
                    </div>
                </div>
            </li>

        </ul>
    </div>*@

    <div class="filter__section filter__section--hideable filter__section--fill">
        <span class="filter__name">Precio <i class="icon icon-plus icon--clickable icon--toggle js-toggle-section" aria-hidden="true"></i></span>

        <ul class="filter__list js-filters">
            <div class="js-price-slider" style="width:calc(100% - 2rem);margin:1.5rem 0;left:50%;transform:translateX(-50%);"></div>
            <div class="nouislider-values">
                <div class="min nouislider-value">Desde<span id="slider-snap-value-lower"></span></div>
                <div class="max nouislider-value">Hasta<span id="slider-snap-value-upper"></span></div>
            </div>
        </ul>
    </div>
</aside>